> ## Documentation Index
> Fetch the complete documentation index at: https://docs.voltpath.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Flow Duration

> Get power flow duration curve (time power flows in/out at each magnitude).

Datetime params accept ISO 8601 or relative shorthand (now, now-30d, now-1H, etc.).
All datetimes resolve to UTC. Response meta includes resolved_datetime_from/to.
Default range: now-30d to now. Returns envelope with data array.



## OpenAPI

````yaml https://api.voltpath.ai/openapi.json get /api/v1/flow-duration
openapi: 3.1.0
info:
  title: Voltpath API
  version: 1.0.0
servers: []
security: []
paths:
  /api/v1/flow-duration:
    get:
      tags:
        - entsoe
      summary: Get Flow Duration
      description: >-
        Get power flow duration curve (time power flows in/out at each
        magnitude).


        Datetime params accept ISO 8601 or relative shorthand (now, now-30d,
        now-1H, etc.).

        All datetimes resolve to UTC. Response meta includes
        resolved_datetime_from/to.

        Default range: now-30d to now. Returns envelope with data array.
      operationId: get_flow_duration_api_v1_flow_duration_get
      parameters:
        - name: datetime_from
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            default: now-30d
            title: Datetime From
        - name: datetime_to
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            default: now
            title: Datetime To
        - name: zone
          in: query
          required: false
          schema:
            anyOf:
              - items:
                  type: string
                type: array
              - type: 'null'
            title: Zone
        - name: border
          in: query
          required: false
          schema:
            anyOf:
              - items:
                  type: string
                type: array
              - type: 'null'
            description: Border pairs as 'ZONE_FROM->ZONE_TO', e.g. 'DE->FR'
            title: Border
          description: Border pairs as 'ZONE_FROM->ZONE_TO', e.g. 'DE->FR'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Envelope_list_FlowDurationPoint__'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    Envelope_list_FlowDurationPoint__:
      properties:
        meta:
          $ref: '#/components/schemas/Meta'
        data:
          items:
            $ref: '#/components/schemas/FlowDurationPoint'
          type: array
          title: Data
      additionalProperties: false
      type: object
      required:
        - meta
        - data
      title: Envelope[list[FlowDurationPoint]]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    Meta:
      properties:
        provenance:
          type: string
          enum:
            - measured
            - derived
          title: Provenance
        upstream_sources:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Upstream Sources
        resolved_datetime_from:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Resolved Datetime From
        resolved_datetime_to:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Resolved Datetime To
        resolution:
          anyOf:
            - type: string
            - type: 'null'
          title: Resolution
      additionalProperties: false
      type: object
      required:
        - provenance
      title: Meta
    FlowDurationPoint:
      properties:
        series:
          type: string
          title: Series
        series_type:
          type: string
          enum:
            - border
            - zone
          title: Series Type
        percentage:
          type: number
          title: Percentage
        flow_mw:
          type: number
          title: Flow Mw
      additionalProperties: false
      type: object
      required:
        - series
        - series_type
        - percentage
        - flow_mw
      title: FlowDurationPoint
      description: One point on a flow duration curve (per border or per zone net).
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````